#include "interrupt.h"
#include "vga.h"
#include "io.h"
#include "pic.h"
#include "irq.h"

// Need GCC > 6
__attribute__((interrupt)) void keyboard_handler(struct interrupt_frame *frame)
{
        EOIIrq(IRQ_KEYBOARD);
        char c = 0;
        if (inb(0x60) != c) {
                c = inb(0x60);
                if (c > 0){
                        printChar(c);
                        printChar('\n');
                }
        }
        (void)frame;
}

__attribute__((interrupt)) void timer_handler(struct interrupt_frame *frame)
{
        static int timeCnt = 0;
        EOIIrq(IRQ_TIMER);
        printInt(timeCnt++, RED, BLACK, 20, VGA_HEIGHT -1 );
        (void)frame;
}
